USE [master]
GO

/****** Object:  Database [SitecoreRedirectManagerModule]    ******/
CREATE DATABASE [SitecoreRedirectManagerModule] ON  PRIMARY 
( NAME = N'SitecoreRedirectManagerModule', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\Sitecore.RedirectManagerModule.mdf' , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'SitecoreRedirectManagerModule_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\Sitecore.RedirectManagerModule.ldf' , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET COMPATIBILITY_LEVEL = 90
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [SitecoreRedirectManagerModule].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET ARITHABORT OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET  DISABLE_BROKER 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET  READ_WRITE 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET RECOVERY FULL 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET  MULTI_USER 
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [SitecoreRedirectManagerModule] SET DB_CHAINING OFF 
GO

USE [SitecoreRedirectManagerModule]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Redirects](
	[RequestPath] [varchar](255) NOT NULL,
	[ResponseTargetId] [uniqueidentifier] NOT NULL,
	[ResponseStatusCode] [int] NOT NULL,
	[Sites] [varchar](255) NULL,
	[Stamp] [datetime] NOT NULL,
	[AutoGenerated] [bit] NOT NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[Redirects] ADD  CONSTRAINT [DF_Redirects_Stamp]  DEFAULT (getdate()) FOR [Stamp]
GO

ALTER TABLE [dbo].[Redirects] ADD  CONSTRAINT [DF_Redirects_AutoGenerated]  DEFAULT ((0)) FOR [AutoGenerated]
GO

CREATE UNIQUE NONCLUSTERED INDEX [IX_Redirects] ON [dbo].[Redirects] 
(
	[RequestPath] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 90) ON [PRIMARY]
GO

