﻿using System.Collections.Generic;

namespace RedirectManager.Interfaces
{
    public interface IRedirect
    {
        // Active to http requests if enabled. Inactive if disabled, but is still shown in the content editor
        bool Enabled { get; }

        // The sitecore item id to redirect to.
        string ResponseTargetId { get; }

        // The incoming url path that is matched and redirected to the TargetUrl
        string RequestPath { get; }

        // The sites that this redirect is active for
        IEnumerable<string> Sites { get; }

        // The status code to set in the http request
        int ResponseStatusCode { get; }

        // The url to redirect to in the http request
        string GetTargetUrl(string sitename);
    }
}
